Bug 1415174 - Gluster deployment should hint the user for the use of hostname/IP corresponding to Gluster network
Summary: Gluster deployment should hint the user for the use of hostname/IP correspond...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.10
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.1.1
: ---
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-20 13:10 UTC by SATHEESARAN
Modified: 2017-04-21 09:52 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:52:27 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)

Description SATHEESARAN 2017-01-20 13:10:57 UTC
Description of problem:
-----------------------
Grafton Deployment (HCI) recommends the usage of 2 network interfaces (i.e) frontend & backend network. Frontend network is dedicated for VM data traffic ( ovirtmgmt) and the backend network is dedicated for Gluster and VM migration.

Gdeploy will be using the backend network. So the IP or the FQDN provided for hosts in the 'Gluster Deployment' should correspond to gluster network on the host.

There are chances user could input frontend IP/FQDN of the host which pertains to ovirtmgmt


Version-Release number of selected component (if applicable):
--------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. Select Hosted engine deployment with gluster with cockpit

Actual results:
---------------
Its ambiguous for the user whether to input front-end or backend IP

Expected results:
-----------------
Hint the user in some form, so that user inputs the hostname pertaining to the backend network

Comment 1 SATHEESARAN 2017-02-24 02:44:09 UTC
With ovirt-cockpit-dashboard-0.10.7-0.0.11, I am seeing the text box has the value ' Gluster Network address' before user could add any value. This hint would suffice to resolve the issue.

Ramesh, can this bug can be moved ON_QA with that fix ?

Comment 2 Ramesh N 2017-02-24 04:35:40 UTC
Yes. This was added as part of validation bug. I will move this to once the build is ready.

Comment 3 SATHEESARAN 2017-03-07 10:34:22 UTC
The gluster deployment tab asks for text that has the grayed out text - 'Gluster Network Address'. This helps the user to input gluster network IP or hostname


Note You need to log in before you can comment on or make changes to this bug.